## elfutils 0.191

=== debian/changelog ===
elfutils (0.191-2ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2025-1365.patch: Use validate_str also to check
      dynamic symstr data.
    - CVE-2025-1365
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1371.patch: Handle NULL phdr in
      handle_dynamic_symtab.
    - CVE-2025-1371
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1372.patch: Skip trying to uncompress
      sections without a name.
    - CVE-2025-1372
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1377.patch: Verify symbol table is a real
      symbol table.
    - CVE-2025-1377

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Mon, 17 Mar 2025 16:56:15 +0100

elfutils (0.191-2) unstable; urgency=medium

  * d/control: Recommends libarchive-tools. (Closes: #1063767)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 13 Jul 2024 00:30:43 -0400

elfutils (0.191-1) unstable; urgency=medium

  * New upstream version.
  * Add translations (it, sv). Closes: #1050108, #1049367.
  * Fix cross build failure (Helmut Grohne). Closes: #1057813.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Mar 2024 11:42:59 +0100
