=== debian/control ===
--- 
+++ 
@@ -155,6 +155,7 @@
 Section: devel
 Architecture: any
 Depends: libdebuginfod1t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: libarchive-tools
 Description: debuginfo-related http file-server daemon
  Server, client tool and library to index and fetch ELF/DWARF files
  addressed by build-id through HTTP.
