=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,10 @@
 	dh_autoreconf
 	@mkdir -p stamps
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	CFLAGS='$(CFLAGS_FOR_BUILD)' \
+	CPPFLAGS='$(CPPFLAGS_FOR_BUILD)' \
+	CXXFLAGS='$(CXXFLAGS_FOR_BUILD)' \
+	LDFLAGS='$(LDFLAGS_FOR_BUILD)' \
 	./configure --enable-maintainer-mode \
 		--enable-libdebuginfod=dummy \
 		--disable-debuginfod
