## elfutils 0.192

=== debian/changelog ===
elfutils (0.192-4~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 06 Feb 2025 17:57:18 -0500

elfutils (0.192-4) unstable; urgency=medium

  * Drop again the build dependency libimaevm-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2024 13:13:50 +0200

elfutils (0.192-3) unstable; urgency=medium

  * Also build-depend on libjson-c-dev.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Oct 2024 17:21:03 +0200

elfutils (0.192-2) unstable; urgency=medium

  * Build-depend on libimaevm-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Oct 2024 14:08:39 +0200

elfutils (0.192-1) unstable; urgency=medium

  * New upstream version.

  [ Sergio Durigan Junior ]
  * d/libdebuginfod-common.postrm: Correctly purge configuration in Debian.

  [ Matthias Klose ]
  * Drop the riscv-retval-workaround patch.
  * Don't package fish.
  * Update symbols files.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Oct 2024 12:04:15 +0200

elfutils (0.191-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Revert rename libraries for 64-bit time_t transition.
    Not needed for bookworm-backports.
  * d/gbp.conf: Set debian-branch to bookworm-backports

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 23 Jun 2024 17:03:38 -0400
