## elfutils 0.193

=== debian/changelog ===
elfutils (0.193-3) unstable; urgency=medium

  * Fix FTBFS for missing asm/perf_regs.h (John David Anglin).
    Closes: #1114536.
  * Don't build-depend on gcc-multilib on hurd-amd64.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Sep 2025 10:59:45 +0200

elfutils (0.193-2) unstable; urgency=medium

  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 21:09:30 +0200

elfutils (0.193-1) experimental; urgency=medium

  * New upstream version.

  [ Sergio Durigan Junior ]
  * d/libdebuginfod-common.templates: Default to using debuginfod.
    GDB has its own mechanism for detecting whether DEBUGINFOD_URLS is set
    and asking the user if they want to use it.  I don't believe we need
    to default to not using our debuginfod service anymore.

  [ Matthias Klose ]
  * Install usr/include/elfutils/libdwfl_stacktrace.h in libdw-dev.
  * Bump standards version.
  * Update libdw symbols file.

 -- Matthias Klose <doko@debian.org>  Fri, 02 May 2025 13:03:38 +0200
