## elfutils 0.194

=== Makefile ===
# Copyright (c) Meta Platforms, Inc. and affiliates.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

prefix = /usr/local
N = 10
BINARIES := $(patsubst %,compressme%,$(shell seq 1 $(N)))

all: $(BINARIES)

compressme%:: compressme.c
	gcc -g -O2 -DX=$* compressme.c -o $@

install: all
	install -D -t $(DESTDIR)/$(prefix)/bin $(BINARIES)

clean:
	rm -f $(BINARIES)

.PHONY: all install clean
