=== debian/changelog ===
elfutils (0.194-1) unstable; urgency=medium

  * New upstream version.
  * Update symbols files.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Oct 2025 06:57:58 +0100
