=== debian/rules ===
--- 
+++ 
@@ -157,7 +157,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs -a ChangeLog
-	dh_installdocs -a ChangeLog
+	dh_installdocs -a
 
 	: # FIXME: package those ...
 #	find debian/tmp -name '*debuginfod*' | xargs -r rm -f
